from sklearn.pipeline import Pipeline
from sklearn.linear_model import SGDClassifier
from sklearn.feature_extraction.text import TfidfVectorizer


def dox_classifier(training_data, training_labels, input_type="filename"):

    dox_predictor = Pipeline([
        ('tfidf', TfidfVectorizer(input=input_type)),
        ('svm', SGDClassifier(n_iter=20))
    ])

    dox_predictor.fit(training_data, training_labels)

    return dox_predictor
